#include "msgClient.hh"
#include<sstream>

using namespace std;

static string NAME_OF_BRIDGE	= "";
static string MSGC_SERV 		= "";

static int MSGC_PORT 	= 5500;
//static int VERBOSE_MODE	= 0;

int main(int argc, char *argv[]){

	if(argc == 3) {
		NAME_OF_BRIDGE	= argv[1];
		MSGC_SERV		= argv[2];
	}
	else {
		cerr << "Args error. Usage: NAME_OF_BRIDGE MSGC_SERV" << endl;
		exit(0);
	}

	// ----- Connection to msgconnector Server
	msgClient* mp = new msgClient();
	mp->connect(NAME_OF_BRIDGE, MSGC_SERV, MSGC_PORT);
	if(!mp->isConnected()) {
		cerr << "Unable to connect to msgconnector Server... exit." << endl;
		exit(0);
	}

	// ----- Main loop - Message Transfer
	while(mp->isConnected()) {
		pair<string, string> msg = mp->getBlockingMessage();
		cout << "[" << msg.first << "] " << msg.second << endl;
	}
}
